3 Replies Latest reply on Aug 12, 2010 7:16 PM by Jason MacZura

    Install error for Chart Server for Siebel 8.1.1.1

    jjuurlink
      Hello all,
      I have Siebel 8.1.1.0 installed, and the 8.1.1.1 patch applied. It's been stable for a while now, but I've decided to get the charts functionality working, and am having trouble with the installer.

      Basically, I get library errors, and the installer won't start. I've tried playing around with LD_LIBRARY_PATH (which helped in the Siebel install), but still nothing. I've tried running it through putty and VNC Viewer, with no luck.

      I suspect that I'm missing something in my Linux 5.1 environment, which is a virtual machine using Amazon Web Services. Unfortunately I'm not much of a Linux guy, and don't want to start playing around unless I have an idea what needs to be done. It's a bit frustrating since the other Siebel install programs run ok.

      Any thoughts/suggestions would be very much appreciated..
      Thanks,
      Jon

      PS - Here are the process/errors I am getting:
      Login as Oracle user and navigate to:
           /u05/Siebel_Install/Siebel_Install_Image_81/8.1.1.0/Linux/Server_Ancillary/Visual_Mining_Netcharts_Server/enu/unix

      Execute:
      ./NetChartsServer4.6SiebelEdition.linux.bin
      Preparing to install...
      Extracting the JRE from the installer archive...
      Unpacking the JRE...
      Extracting the installation resources from the installer archive...
      Configuring the installer for this system's environment...
      awk: error while loading shared libraries: libdl.so.2: cannot open shared object
      file: No such file or directory
      dirname: error while loading shared libraries: libc.so.6: cannot open shared obj
      ect file: No such file or directory
      /bin/ls: error while loading shared libraries: librt.so.1: cannot open shared ob
      ject file: No such file or directory
      basename: error while loading shared libraries: libc.so.6: cannot open shared ob
      ject file: No such file or directory
      dirname: error while loading shared libraries: libc.so.6: cannot open shared obj
      ect file: No such file or directory
      basename: error while loading shared libraries: libc.so.6: cannot open shared ob
      ject file: No such file or directory
      hostname: error while loading shared libraries: libc.so.6: cannot open shared ob
      ject file: No such file or directory

      Launching installer...

      grep: error while loading shared libraries: libc.so.6: cannot open shared object
      file: No such file or directory
      /tmp/install.dir.25010/Linux/resource/jre/bin/java: error while loading shared l
      ibraries: libpthread.so.0: cannot open shared object file: No such file or direc
      tory
      bash-3.1$
      bash-3.1$ ./NetChartsServer4.6SiebelEdition.linux.bin
      Preparing to install...
      Extracting the JRE from the installer archive...
      Unpacking the JRE...
      Extracting the installation resources from the installer archive...
      Configuring the installer for this system's environment...
      awk: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
      dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
      /bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
      basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
      dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
      basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
      hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory

      Launching installer...

      grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
      /tmp/install.dir.25136/Linux/resource/jre/bin/java: error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory



      PPS - I also did a find / -name 'libc.so.6' and got the following:
      /lib/i686/nosegneg/libc.so.6
      /lib/libc.so.6
      /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6
      /u02/Apache/lib/stubs/libc.so.6

      When I try putting the /u01/app/.. path into my LD_LIBRARY_PATH, I get similar errors to below, it tells me:
      hostname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libsepol.so.1)

      Extracting the installation resources from the installer archive...
      Configuring the installer for this system's environment...
      awk: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by awk)
      dirname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by dirname)
      /bin/ls: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /bin/ls)
      /bin/ls: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libacl.so.1)
      /bin/ls: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libselinux.so.1)
      /bin/ls: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libattr.so.1)
      /bin/ls: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libsepol.so.1)
      basename: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by basename)
      dirname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by dirname)
      basename: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by basename)
      hostname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by hostname)
      hostname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libselinux.so.1)
      hostname: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libsepol.so.1)

      Launching installer...

      grep: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by grep)
      grep: /u01/app/oracle/product/11.1.0/db_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libpcre.so.0)
      Segmentation fault
        • 1. Re: Install error for Chart Server for Siebel 8.1.1.1
          786936
          We experienced similar issue on our installation. Worked with Oracle support, and seems like you need to change the environment variable settings on the linux and .bin file. Here is what we have changed and we were able to install charts in 8.1.1.1 Linux environment.

          With Oracle expert help, we figured out that the .bin file needed to be changed. we did the following on our second QA server to run the installer without setting any other environment variables:

          a. identified the above files by using find / -name <filename> to find the location.
          b. checked whether it is their in the env varialbles.
          c. more than one location was found . some of them were like /usr/lib and /lib etc. even there was a file by the name in siebsrvr/lib and gtwysrvr/lib etc
          d. when we add this in the LD_LIBRARY_PATH and PATH, then the error was different than what we saw first time.
          e. this clearly shows that there is something wrong with the environment variables.
          h. as per this, he has to comment out two places of LD_LIBRARY_PATH. he did this. saved the *.bin file to a new bin file
          i. uncomment LD_ASSUME_KERNEL variable.
          J.then set DISPLAY. The installer worked fine.
          k.. the issue was with the bin file provided and the solution is mentioned in the above linke.

          1. cd ${install_image}/8.1.1.1/Linux/Server_Ancillary/Visual_Mining_Netcharts_Server/enu/unix
          2. export DISPLAY=${my_ip}:0.0
          3. sh NetChartsServer4.6SiebelEdition.linux.bin

          Hope this helps.

          Edited by: user10243604 on Jul 23, 2010 10:18 AM
          • 2. Re: Install error for Chart Server for Siebel 8.1.1.1
            snurani
            Can you please clarify more the below two points ?

            h. as per this, he has to comment out two places of LD_LIBRARY_PATH. he did this. saved the *.bin file to a new bin file

            [siebel@phxanslxsbldev unix]$ strings NetChartsServer4.6SiebelEdition.linux.bin.good |grep -in LD_LIBRARY_PATH
            713455:LD_LIBRARY_PATH
            713473:Cannot set environment variable LD_LIBRARY_PATH.
            713723:LD_LIBRARY_PATH_ENV_NAME
            713877:LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$NETCHARTS_SERVER_HOME/bin
            713878:export LD_LIBRARY_PATH

            We dnot have any line commented for LD_LIBRARY_PATH, what is changed needed here ?

            i. uncomment LD_ASSUME_KERNEL variable.

            if [ $linux_LD_ASSUME_KERNEL_hack -eq 1 ]; then
            LD_ASSUME_KERNEL=2.2.5
            export LD_ASSUME_KERNEL
            fi

            unset LD_ASSUME_KERNEL << Added this here


            Also, if we make manual changes we get below error:

            Launching installer...

            Exception in thread "main" java.lang.NoClassDefFoundError: com/zerog/lax/LAX

            Did you face this and w/a it too ?

            Shankar
            • 3. Re: Install error for Chart Server for Siebel 8.1.1.1
              Jason MacZura
              JRJ,

              Did you ever get this working? We are getting the exact same error, and Oracle Support is putting the blame on running a 64-bit Linux kernel. It looks like it could be corrected with the right env parameter tweaks.

              Thanks,

              Jason